## percona-xtradb-cluster-5.6 5.6.37-26.21

=== debian/changelog ===
percona-xtradb-cluster-5.6 (5.6.37-26.21-0ubuntu0.17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: Update to 5.6.37-26.21 to fix security issues
    (LP: #1735691):
    - CVE-2016-5617
    - CVE-2016-8327
    - CVE-2017-15365
    - CVE-2017-3238
    - CVE-2017-3244
    - CVE-2017-3251
    - CVE-2017-3256
    - CVE-2017-3257
    - CVE-2017-3258
    - CVE-2017-3265
    - CVE-2017-3273
    - CVE-2017-3291
    - CVE-2017-3305
    - CVE-2017-3308
    - CVE-2017-3309
    - CVE-2017-3313
    - CVE-2017-3317
    - CVE-2017-3318
    - CVE-2017-3329
    - CVE-2017-3450
    - CVE-2017-3452
    - CVE-2017-3453
    - CVE-2017-3461
    - CVE-2017-3462
    - CVE-2017-3463
    - CVE-2017-3464
    - CVE-2017-3599
    - CVE-2017-3600
    - d/control: Bump minimum galera version to 3.21.
    - d/p/error-uninitialized.patch: Resolve build failure on 32 bit
      archs due to -Werror=uninitialized.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Dec 2017 09:16:44 +0000

percona-xtradb-cluster-5.6 (5.6.34-26.19-0ubuntu4.17.10.1) artful; urgency=medium

  * Switch back to using gcc-6 as gcc-7 results in a
    broken PXC (LP: #1728132):
    - d/rules,control: BD on g{cc,++}-6, force use during build.
    - d/p/series: Disable gcc-7 related patches.
    - d/p/ibuf-uses-full-memory-barrier-ppc64.patch: Revert gcc-7
      specific changes.
    - d/rules: Drop gcc-7 related overrides for errors.
  * d/control: Update Vcs fields for Ubuntu.

 -- James Page <james.page@ubuntu.com>  Thu, 30 Nov 2017 14:01:15 +0000

percona-xtradb-cluster-5.6 (5.6.34-26.19-0ubuntu4) artful; urgency=high

  [ Jorge Niedbalski ]
  * Fix FTBFS with gcc7 (LP: #1714554)
    - d/p/ibuf-uses-full-memory-barrier-ppc64.patch: Modified to prevent a
      warning at compile time due to the inexistence of the default os_mb.

  [ Christian Ehrhardt ]
  * Fix FTBFS with gcc7 - further fixes to LP 1714554
    - d/rules: make warnings new/enhanced in gcc7 non-fatal in regard to Werror:
      format-overflow, implicit-fallthrough, int-in-bool-context, nonnull,
      aligned-new (only c++), format-truncation
    - d/p/fix-gcc7-compiler-errors.patch: fix gcc-7 errors not downgradable
      to warnings (ISO C++ forbids comparison between pointer and integer)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 17 Oct 2017 10:16:36 +0200

percona-xtradb-cluster-5.6 (5.6.34-26.19-0ubuntu3) artful; urgency=high

  * d/p/ibuf-uses-full-memory-barrier-ppc64.patch: This patch implements
    a full memory barrier for InnoDB mutex entry/exit on PowerPC. 
    (LP: #1657256).

  * d/p/debian/patches/weak-memory-compat.patch: Removed as is already
    covered by the newer patch.

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Thu, 10 Aug 2017 14:53:52 -0400

percona-xtradb-cluster-5.6 (5.6.34-26.19-0ubuntu2) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:50:08 +0000

percona-xtradb-cluster-5.6 (5.6.34-26.19-0ubuntu1) zesty; urgency=medium

  * SECURITY UPDATE: Update to 5.6.34-26.19 to fix security issues
    (LP: #1668934):
    - CVE-2015-4766
    - CVE-2015-4792
    - CVE-2015-4800
    - CVE-2015-4802
    - CVE-2015-4815
    - CVE-2015-4819
    - CVE-2015-4826
    - CVE-2015-4830
    - CVE-2015-4833
    - CVE-2015-4836
    - CVE-2015-4858
    - CVE-2015-4861
    - CVE-2015-4862
    - CVE-2015-4864
    - CVE-2015-4866
    - CVE-2015-4870
    - CVE-2015-4879
    - CVE-2015-4890
    - CVE-2015-4895
    - CVE-2015-4904
    - CVE-2015-4905
    - CVE-2015-4910
    - CVE-2015-4913
    - CVE-2015-7744
    - CVE-2016-0503
    - CVE-2016-0504
    - CVE-2016-0505
    - CVE-2016-0546
    - CVE-2016-0594
    - CVE-2016-0595
    - CVE-2016-0596
    - CVE-2016-0597
    - CVE-2016-0598
    - CVE-2016-0600
    - CVE-2016-0605
    - CVE-2016-0606
    - CVE-2016-0607
    - CVE-2016-0608
    - CVE-2016-0609
    - CVE-2016-0610
    - CVE-2016-0611
    - CVE-2016-0616
    - CVE-2016-0640
    - CVE-2016-0641
    - CVE-2016-0642
    - CVE-2016-0643
    - CVE-2016-0644
    - CVE-2016-0646
    - CVE-2016-0647
    - CVE-2016-0648
    - CVE-2016-0649
    - CVE-2016-0650
    - CVE-2016-0655
    - CVE-2016-0661
    - CVE-2016-0665
    - CVE-2016-0666
    - CVE-2016-0668
    - CVE-2016-2047
    - CVE-2016-3452
    - CVE-2016-3459
    - CVE-2016-3471
    - CVE-2016-3477
    - CVE-2016-3486
    - CVE-2016-3492
    - CVE-2016-3501
    - CVE-2016-3521
    - CVE-2016-3614
    - CVE-2016-3615
    - CVE-2016-5439
    - CVE-2016-5440
    - CVE-2016-5444
    - CVE-2016-5507
    - CVE-2016-5584
    - CVE-2016-5609
    - CVE-2016-5612
    - CVE-2016-5626
    - CVE-2016-5627
    - CVE-2016-5629
    - CVE-2016-5630
    - CVE-2016-6662
    - CVE-2016-6663
    - CVE-2016-8283
    - CVE-2016-8284
    - CVE-2016-8288
  * Changes for new upstream version:
    - d/p/fix_mtr_ssl_cert.patch: Drop, included upstream.
    - d/rules,percona-xtradb-cluster-server-5.6.docs: Tweak install
      of tests and docs for new PXC version.
    - d/control: Bump minimum versions of percona-galera-3 and
      percona-xtrabackup.
    - d/rules: Add misc compiler flags to no-error nonnull-compare,
      unused-result and no-deprecated-declarations.
    - d/control: Add BD on dh-python.
    - d/percona-xtradb-cluster-server-5.6.preinst: Add creation of
      /var/lib/mysql-files as part of package install.
    - d/p/weak-memory-compat.patch: Re-enable builds for architectures
      with weak memory models (ppc64el, arm64, armhf, powerpc, s390x).
  * d/repack.sh: Switch tar file compression to bz2.
  * d/*: wrap-and-sort.
  * d/control,compat: Bump debhelper compat level to 9.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Mar 2017 09:41:46 +0000
