=== debian/control ===
Source: percona-xtradb-cluster-5.6
Section: database
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: George Ormond Lorch III <george.lorch@percona.com>,
           Alexey Bychko <alexey.bychko@percona.com>,
           Tomislav Plavcic <tomislav.plavcic@percona.com>
Build-Depends: bison,
               chrpath,
               cmake,
               debhelper (>= 9~),
               dh-python,
               file (>= 3.28),
               g++-6 (>= 4.4),
               gawk,
               gcc-6 (>= 4.4),
               ghostscript,
               libaio-dev [linux-any],
               libevent-dev,
               libncurses5-dev (>= 5.0-6),
               libpam-dev,
               libreadline-dev,
               libssl-dev,
               libtool (>= 1.4.2-7),
               libwrap0-dev (>= 7.6-8.3),
               lsb-release,
               perl (>= 5.6.0),
               po-debconf,
               procps,
               psmisc,
               python,
               zlib1g-dev (>= 1:1.1.3-5)
Standards-Version: 3.9.6
Homepage: http://www.percona.com/software/percona-xtradb-cluster/
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/percona-xtradb-cluster-5.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/percona-xtradb-cluster-5.6

Package: percona-xtradb-cluster-server-5.6
Architecture: any
Suggests: netcat-openbsd, pv, qpress
Pre-Depends: adduser (>= 3.4.0), debconf, mysql-common
Depends: iproute,
         libdbd-mysql-perl,
         libdbi-perl,
         lsb-base (>= 3.0-10),
         lsof,
         mysql-client,
         mysql-common (>= 5.6.19-1~exp2),
         passwd,
         percona-galera-3 (>= 3.21),
         percona-xtrabackup (>= 2.3.5),
         perl (>= 5.6),
         psmisc,
         rsync,
         socat,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: mysql-server, virtual-mysql-server, virtual-mysql-server-core
Breaks: mariadb-server,
        mariadb-server-10.0,
        mariadb-server-5.5,
        mariadb-server-core-10.0,
        mariadb-server-core-5.5,
        mysql-server-5.0,
        mysql-server-5.1,
        mysql-server-5.5,
        mysql-server-5.6,
        mysql-server-core-5.1,
        percona-server-server-5.1,
        percona-server-server-5.5,
        percona-xtradb-cluster-server-5.5,
        percona-xtradb-server-5.0,
        virtual-mysql-server,
        virtual-mysql-server-core
Replaces: mariadb-server,
          mariadb-server-10.0,
          mariadb-server-5.5,
          mariadb-server-core-10.0,
          mariadb-server-core-5.5,
          mysql-server-5.0,
          mysql-server-5.1,
          mysql-server-5.5,
          mysql-server-5.6,
          mysql-server-core-5.1,
          percona-server-server-5.1,
          percona-server-server-5.5,
          percona-xtradb-cluster-server-5.5,
          percona-xtradb-server-5.0,
          virtual-mysql-server,
          virtual-mysql-server-core
Description: Percona XtraDB Cluster database server binaries
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes the server binaries.

Package: percona-xtradb-cluster-server
Architecture: all
Depends: percona-xtradb-cluster-server-5.6, ${misc:Depends}
Description: Percona XtraDB Cluster database server
 This is a metapackage package that depends on the current "best" version of
 percona-xtradb-cluster-server, as determined by the Percona XtraDB Cluster
 maintainers.  Install this package if in doubt about which version
 you want, as this is the one considered to be in the best shape.

Package: percona-xtradb-cluster-5.6-dbg
Architecture: any
Section: debug
Depends: percona-xtradb-cluster-server-5.6 (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging package for Percona XtraDB Cluster
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package contains the debugging symbols for the Percona XtraDB Cluster
 binaries.

Package: percona-xtradb-cluster-source-5.6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Percona XtraDB Cluster 5.6 source
 This package includes the source code to Percona XtraDB Cluster as configured
 before building.
